Index: src/Actions/MoleculeAction/BondFileAction.def
===================================================================
--- src/Actions/MoleculeAction/BondFileAction.def	(revision 052bfd8c4d6d461cd6c8c5091bd84124a8586af1)
+++ src/Actions/MoleculeAction/BondFileAction.def	(revision d57341daabb0139273e143142890dd48dd9c3dd5)
@@ -13,5 +13,5 @@
 // "undefine" if no parameters are required
 #define paramtypes (std::string)
-#define paramtokens (MoleculeBondFileAction::NAME)
+#define paramtokens ("bond-file")
 #define paramdescriptions ("name of the bond file")
 #define paramreferences (bondfile)
Index: src/Actions/MoleculeAction/ChangeNameAction.def
===================================================================
--- src/Actions/MoleculeAction/ChangeNameAction.def	(revision 052bfd8c4d6d461cd6c8c5091bd84124a8586af1)
+++ src/Actions/MoleculeAction/ChangeNameAction.def	(revision d57341daabb0139273e143142890dd48dd9c3dd5)
@@ -13,5 +13,5 @@
 // "undefine" if no parameters are required
 #define paramtypes (std::string)
-#define paramtokens (MoleculeChangeNameAction::NAME)
+#define paramtokens ("change-molname")
 #define paramdescriptions ("change the name of a molecule")
 #define paramreferences (name)
Index: src/Actions/MoleculeAction/CopyAction.def
===================================================================
--- src/Actions/MoleculeAction/CopyAction.def	(revision 052bfd8c4d6d461cd6c8c5091bd84124a8586af1)
+++ src/Actions/MoleculeAction/CopyAction.def	(revision d57341daabb0139273e143142890dd48dd9c3dd5)
@@ -12,8 +12,8 @@
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required
-#define paramtypes (molecule *) (Vector)
-#define paramtokens (MoleculeCopyAction::NAME) ("position")
-#define paramdescriptions ("copies a molecule with all atoms and bonds") ("position in R^3 space")
-#define paramreferences (mol) (position)
+#define paramtypes (molecule *)(Vector)
+#define paramtokens ("copy-molecule")("position")
+#define paramdescriptions ("copies a molecule with all atoms and bonds")("position in R^3 space")
+#define paramreferences (mol)(position)
 
 #define statetypes (molecule *)
Index: src/Actions/MoleculeAction/FillVoidWithMoleculeAction.def
===================================================================
--- src/Actions/MoleculeAction/FillVoidWithMoleculeAction.def	(revision 052bfd8c4d6d461cd6c8c5091bd84124a8586af1)
+++ src/Actions/MoleculeAction/FillVoidWithMoleculeAction.def	(revision d57341daabb0139273e143142890dd48dd9c3dd5)
@@ -13,8 +13,8 @@
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required
-#define paramtypes (std::string) (Vector) (Vector) (bool)
-#define paramtokens (MoleculeFillVoidWithMoleculeAction::NAME) ("distances") ("lengths") ("DoRotate")
-#define paramdescriptions ("fill void space of box with a filler molecule") ("list of three of distances in space, one for each axis direction") ("list of three of lengths in space, one for each axis direction") ("whether to rotate or not")
-#define paramreferences (fillername) (distances) (lengths) (DoRotate)
+#define paramtypes (std::string)(Vector)(Vector)(bool)
+#define paramtokens ("fill-void")("distances")("lengths")("DoRotate")
+#define paramdescriptions ("fill void space of box with a filler molecule")("list of three of distances in space, one for each axis direction")("list of three of lengths in space, one for each axis direction")("whether to rotate or not")
+#define paramreferences (fillername)(distances)(lengths)(DoRotate)
 
 #undef statetypes
Index: src/Actions/MoleculeAction/FillWithMoleculeAction.def
===================================================================
--- src/Actions/MoleculeAction/FillWithMoleculeAction.def	(revision 052bfd8c4d6d461cd6c8c5091bd84124a8586af1)
+++ src/Actions/MoleculeAction/FillWithMoleculeAction.def	(revision d57341daabb0139273e143142890dd48dd9c3dd5)
@@ -13,8 +13,8 @@
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required
-#define paramtypes (std::string) (Vector) (Vector) (double) (bool)
-#define paramtokens (MoleculeFillWithMoleculeAction::NAME) ("distances") ("lengths") ("MaxDistance") ("DoRotate")
-#define paramdescriptions ("fill around molecules' surface with a filler molecule") ("list of three of distances in space, one for each axis direction") ("list of three of lengths in space, one for each axis direction") ("maximum spatial distance") ("whether to rotate or not")
-#define paramreferences (fillername) (distances) (lengths) (MaxDistance) (DoRotate)
+#define paramtypes (std::string)(Vector)(Vector)(double)(bool)
+#define paramtokens ("fill-molecule")("distances")("lengths")("MaxDistance")("DoRotate")
+#define paramdescriptions ("fill around molecules' surface with a filler molecule")("list of three of distances in space, one for each axis direction")("list of three of lengths in space, one for each axis direction")("maximum spatial distance")("whether to rotate or not")
+#define paramreferences (fillername)(distances)(lengths)(MaxDistance)(DoRotate)
 
 #undef statetypes
Index: src/Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.def
===================================================================
--- src/Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.def	(revision 052bfd8c4d6d461cd6c8c5091bd84124a8586af1)
+++ src/Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.def	(revision d57341daabb0139273e143142890dd48dd9c3dd5)
@@ -12,8 +12,8 @@
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required
-#define paramtypes (std::string) (int) (int) (bool)
-#define paramtokens (MoleculeLinearInterpolationofTrajectoriesAction::NAME) ("start-step") ("end-step") ("id-mapping")
-#define paramdescriptions ("linear interpolation in discrete steps between start and end position of a molecule") ("first or start step") ("last or end step") ("whether the identity shall be used in mapping atoms onto atoms or not")
-#define paramreferences (filename) (start) (end) (IdMapping)
+#define paramtypes (std::string)(int)(int)(bool)
+#define paramtokens ("linear-interpolate")("start-step")("end-step")("id-mapping")
+#define paramdescriptions ("linear interpolation in discrete steps between start and end position of a molecule")("first or start step")("last or end step")("whether the identity shall be used in mapping atoms onto atoms or not")
+#define paramreferences (filename)(start)(end)(IdMapping)
 
 #undef statetypes
Index: src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.def
===================================================================
--- src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.def	(revision 052bfd8c4d6d461cd6c8c5091bd84124a8586af1)
+++ src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.def	(revision d57341daabb0139273e143142890dd48dd9c3dd5)
@@ -13,8 +13,8 @@
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required
-#define paramtypes (double) (Vector)
-#define paramtokens (MoleculeRotateAroundSelfByAngleAction::NAME) ("position")
-#define paramdescriptions ("rotates molecules by a specific angle around own center of gravity") ("position in R^3 space")
-#define paramreferences (angle) (Axis)
+#define paramtypes (double)(Vector)
+#define paramtokens ("rotate-self")("position")
+#define paramdescriptions ("rotates molecules by a specific angle around own center of gravity")("position in R^3 space")
+#define paramreferences (angle)(Axis)
 
 #define statetypes (molecule * const)
Index: src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.def
===================================================================
--- src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.def	(revision 052bfd8c4d6d461cd6c8c5091bd84124a8586af1)
+++ src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.def	(revision d57341daabb0139273e143142890dd48dd9c3dd5)
@@ -16,5 +16,5 @@
 // "undefine" if no parameters are required
 #define paramtypes (Vector)
-#define paramtokens (MoleculeRotateToPrincipalAxisSystemAction::NAME)
+#define paramtokens ("rotate-to-pas")
 #define paramdescriptions ("calculate the principal axis system of the specified molecule and rotate specified axis to align with main axis")
 #define paramreferences (Axis)
Index: src/Actions/MoleculeAction/SaveAdjacencyAction.def
===================================================================
--- src/Actions/MoleculeAction/SaveAdjacencyAction.def	(revision 052bfd8c4d6d461cd6c8c5091bd84124a8586af1)
+++ src/Actions/MoleculeAction/SaveAdjacencyAction.def	(revision d57341daabb0139273e143142890dd48dd9c3dd5)
@@ -13,5 +13,5 @@
 // "undefine" if no parameters are required
 #define paramtypes (std::string)
-#define paramtokens (MoleculeSaveAdjacencyAction::NAME)
+#define paramtokens ("save-adjacency")
 #define paramdescriptions ("name of the adjacency file to write to")
 #define paramreferences (adjacencyfile)
Index: src/Actions/MoleculeAction/SaveBondsAction.def
===================================================================
--- src/Actions/MoleculeAction/SaveBondsAction.def	(revision 052bfd8c4d6d461cd6c8c5091bd84124a8586af1)
+++ src/Actions/MoleculeAction/SaveBondsAction.def	(revision d57341daabb0139273e143142890dd48dd9c3dd5)
@@ -13,5 +13,5 @@
 // "undefine" if no parameters are required
 #define paramtypes (std::string)
-#define paramtokens (MoleculeSaveBondsAction::NAME)
+#define paramtokens ("save-bonds")
 #define paramdescriptions ("name of the bonds file to write to")
 #define paramreferences (bondsfile)
Index: src/Actions/MoleculeAction/SaveTemperatureAction.def
===================================================================
--- src/Actions/MoleculeAction/SaveTemperatureAction.def	(revision 052bfd8c4d6d461cd6c8c5091bd84124a8586af1)
+++ src/Actions/MoleculeAction/SaveTemperatureAction.def	(revision d57341daabb0139273e143142890dd48dd9c3dd5)
@@ -13,5 +13,5 @@
 // "undefine" if no parameters are required
 #define paramtypes (std::string)
-#define paramtokens (MoleculeSaveTemperatureAction::NAME)
+#define paramtokens ("save-temperature")
 #define paramdescriptions ("name of the temperature file to write to")
 #define paramreferences (temperaturefile)
Index: src/Actions/MoleculeAction/SuspendInWaterAction.def
===================================================================
--- src/Actions/MoleculeAction/SuspendInWaterAction.def	(revision 052bfd8c4d6d461cd6c8c5091bd84124a8586af1)
+++ src/Actions/MoleculeAction/SuspendInWaterAction.def	(revision d57341daabb0139273e143142890dd48dd9c3dd5)
@@ -13,5 +13,5 @@
 // "undefine" if no parameters are required
 #define paramtypes (double)
-#define paramtokens (MoleculeSuspendInWaterAction::NAME)
+#define paramtokens ("suspend-in-water")
 #define paramdescriptions ("suspend the given molecule in water such that in the domain the mean density is as specified")
 #define paramreferences (density)
Index: src/Actions/MoleculeAction/VerletIntegrationAction.def
===================================================================
--- src/Actions/MoleculeAction/VerletIntegrationAction.def	(revision 052bfd8c4d6d461cd6c8c5091bd84124a8586af1)
+++ src/Actions/MoleculeAction/VerletIntegrationAction.def	(revision d57341daabb0139273e143142890dd48dd9c3dd5)
@@ -13,5 +13,5 @@
 // "undefine" if no parameters are required
 #define paramtypes (std::string)
-#define paramtokens (MoleculeVerletIntegrationAction::NAME)
+#define paramtokens ("verlet-integrate")
 #define paramdescriptions ("perform verlet integration of a given force file")
 #define paramreferences (forcesfile)
